curl --request POST \
--url 'https://api.example.com/v1/runnable/{id}/runs?mode=async' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resources": [
{
"name": "<string>",
"resource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"timeout_seconds": 0,
"telemetry_strategy": "default",
"callback_url": "<string>",
"callback_headers": {}
}
'import requests
url = "https://api.example.com/v1/runnable/{id}/runs?mode=async"
payload = {
"resources": [
{
"name": "<string>",
"resource": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
}
],
"timeout_seconds": 0,
"telemetry_strategy": "default",
"callback_url": "<string>",
"callback_headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resources: [{name: '<string>', resource: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}}],
timeout_seconds: 0,
telemetry_strategy: 'default',
callback_url: '<string>',
callback_headers: {}
})
};
fetch('https://api.example.com/v1/runnable/{id}/runs?mode=async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Run Asynchronously
Run a runnable asynchronously
callback_url and callback_headers to be used for the run results. When the run completes, re-factor will perform a POST request to the callback URL with the results or an error message.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Resources to embed within the runtime
Show child attributes
Show child attributes
Timeout in seconds. If null or less than 1, no timeout is set.
Telemetry strategy to use for the run. disable will disable telemetry, force will force telemetry, and default will use the runnable's default telemetry strategy.
disable, default, force Callback URL to use for the run. If null, no callback will be executed and run results can be retrieved using the GET /v1/run/{run_id} endpoint. If provided, when the runnable has completed, it will make a POST request to the callback URL with the run results or an error message.
Headers to use for the callback request. Only used if callback_url is provided.
Show child attributes
Show child attributes
Response
Asynchronous invocation reference
The id of the run. This can be used to query the status of the run or fetch its output.

